play.utils

## Class YesSSLSocketFactory.YesTrustManager

- java.lang.Object
- - play.utils.YesSSLSocketFactory.YesTrustManager

All Implemented Interfaces:
  javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager

Enclosing class:
  YesSSLSocketFactory

    public static class YesSSLSocketFactory.YesTrustManager
    extends java.lang.Object
    implements javax.net.ssl.X509TrustManager

### Constructor Summary

Constructors
Constructor and Description
`YesTrustManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkClientTrusted(java.security.cert.X509Certificate[] cert, java.lang.String authType)`
`void` `checkServerTrusted(java.security.cert.X509Certificate[] cert, java.lang.String authType)`
`java.security.cert.X509Certificate[]` `getAcceptedIssuers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### YesTrustManager

    public YesTrustManager()

### Method Detail

#### checkClientTrusted

    public void checkClientTrusted(java.security.cert.X509Certificate[] cert,
                                   java.lang.String authType)

Specified by:
  `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`

#### checkServerTrusted

    public void checkServerTrusted(java.security.cert.X509Certificate[] cert,
                                   java.lang.String authType)

Specified by:
  `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`

#### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`